(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11628,        326]
NotebookOptionsPosition[     10986,        301]
NotebookOutlinePosition[     11449,        320]
CellTagsIndexPosition[     11406,        317]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"$HistoryLength", "=", "2"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.48327811315625*^9, 3.483278126375*^9}, {
  3.483319988421875*^9, 3.48331998971875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fnom", "=", "50."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]nom", "=", 
   RowBox[{"2.", "*", "Pi", "*", "fnom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tnom", "=", 
   FractionBox["1", "fnom"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sr", "=", "600"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rn", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"2.", 
      FractionBox["Pi", "sr"]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sin1", "=", 
   RowBox[{"Sin", "/@", "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cos1", "=", 
   RowBox[{"Cos", "/@", "rn"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kperSampl", "=", "1.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplSampl", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiSampl", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k\[Omega]", "=", "1.0256"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"k\[Omega]", "*", "\[Omega]nom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauTrend", "=", 
   RowBox[{
    RowBox[{"-", "50"}], "Tnom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fcepom", "[", "t_", "]"}], ":=", 
   RowBox[{
    FractionBox["t", "tauTrend"], "+", 
    RowBox[{"amplSampl", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"\[Omega]", "*", "t"}], "+", "fiSampl"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysNom", "=", 
   RowBox[{"{", 
    RowBox[{"amplSampl", ",", "fiSampl"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]tnom", "=", 
   RowBox[{
    FractionBox["Tnom", "sr"], "//", "N"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dSpom", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"fcepom", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"kperSampl", "*", "Tnom"}], ",", "\[CapitalDelta]tnom"}], 
      "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.483286319484375*^9, 3.483286320453125*^9}, {
   3.483286363203125*^9, 3.483286363765625*^9}, 3.48328657146875*^9, {
   3.483352136796875*^9, 3.4833521371875*^9}, {3.4837662860625*^9, 
   3.4837662863125*^9}, {3.48376641875*^9, 3.483766550796875*^9}, 
   3.483766638171875*^9, {3.483766742296875*^9, 3.483766743359375*^9}, 
   3.483766853203125*^9, {3.483767458015625*^9, 3.483767507359375*^9}, {
   3.484044887796875*^9, 3.484044910828125*^9}, 3.484046931296875*^9, 
   3.4840469711875*^9, {3.484047126359375*^9, 3.484047126734375*^9}, 
   3.484047490953125*^9, {3.484047829515625*^9, 3.48404782971875*^9}, {
   3.4840478873125*^9, 3.4840479049375*^9}, {3.484048131359375*^9, 
   3.484048131546875*^9}, 3.484048445296875*^9, 3.484048484359375*^9, 
   3.484048713171875*^9, 3.48404875365625*^9, {3.484048868109375*^9, 
   3.484048869609375*^9}, 3.484659553453125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"projedList", "[", 
    RowBox[{"list_", ",", "nOkno_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"okna", ",", "meany", ",", "sigma", ",", 
       RowBox[{"nSampl", "=", 
        RowBox[{"Length", "[", "list", "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"okna", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Take", "[", 
          RowBox[{"list", ",", 
           RowBox[{"{", 
            RowBox[{"#", ",", 
             RowBox[{"#", "+", "nOkno", "-", "1"}]}], "}"}]}], "]"}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{"nSampl", "-", "nOkno", "+", "1"}], "]"}]}]}], ";", 
      RowBox[{"meany", "=", 
       RowBox[{"Mean", "/@", "okna"}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mozne", "=", 
   RowBox[{"Range", "[", 
    RowBox[{
     RowBox[{"Round", "[", 
      RowBox[{"0.95", "sr"}], "]"}], ",", 
     RowBox[{"Round", "[", 
      RowBox[{"1.05", "sr"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dPom", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"projedList", "[", 
        RowBox[{"dSpom", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", "mozne"}]}],
   ";"}], "\n"}], "Input",
 CellChangeTimes->{
  3.48327810284375*^9, {3.48328061715625*^9, 3.48328063125*^9}, {
   3.483280664125*^9, 3.483280668453125*^9}, 3.483282676828125*^9, 
   3.483282852609375*^9, {3.483284619078125*^9, 3.4832846290625*^9}, 
   3.48328600965625*^9, 3.483286380390625*^9, {3.483286491890625*^9, 
   3.483286498203125*^9}, {3.4833200758125*^9, 3.483320115109375*^9}, 
   3.483320186984375*^9, 3.483766306484375*^9, {3.483766398640625*^9, 
   3.4837664040625*^9}, {3.4837664945625*^9, 3.48376649696875*^9}, {
   3.483766583046875*^9, 3.483766619375*^9}, {3.48376665065625*^9, 
   3.483766794671875*^9}, {3.48376686328125*^9, 3.483766904765625*^9}, {
   3.483767273828125*^9, 3.483767302421875*^9}, {3.483767517140625*^9, 
   3.483767527203125*^9}, {3.484044859796875*^9, 3.484044883125*^9}, {
   3.484044929359375*^9, 3.4840450030625*^9}, {3.484046259671875*^9, 
   3.484046270734375*^9}, {3.4840463976875*^9, 3.484046410625*^9}, {
   3.484046478375*^9, 3.484046478625*^9}, {3.484047259015625*^9, 
   3.484047278734375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "&"}], "/@", "dPom"}], "]"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "0.005", "]"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<nOkno\>\"", ",", "\"\<Meany[n]\>\""}], "}"}]}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.484047294578125*^9, 3.484047303203125*^9}, 
   3.484048862640625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nx", "=", 
   FractionBox["sr", "k\[Omega]"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"projedList", "[", 
    RowBox[{"dSpom", ",", 
     RowBox[{"Round", "[", "nx", "]"}]}], "]"}], "//", "ListPlot"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.48404512490625*^9, 3.4840452229375*^9}, {
   3.484046753796875*^9, 3.48404676209375*^9}, {3.484047145359375*^9, 
   3.48404715859375*^9}, {3.484047315296875*^9, 3.484047318828125*^9}, {
   3.484047851703125*^9, 3.484047859203125*^9}, {3.48404792003125*^9, 
   3.484047979078125*^9}, {3.48404814871875*^9, 3.48404815878125*^9}, 
   3.4840487428125*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"coefCorr", ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1.000001", "-", 
         RowBox[{"Abs", "[", 
          RowBox[{"Correlation", "[", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{"Length", "[", 
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}]}], ")"}], 
       RowBox[{"-", "1"}]]}], "}"}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datCorr", "=", 
   RowBox[{"coefCorr", "/@", "dPom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "//", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{"#", ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<n\>\"", ",", "\"\<coefCorr[n]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"vyber", "=", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"Sort", "[", 
      RowBox[{"datCorr", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#1", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ">", 
         RowBox[{"#2", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], ",", "10"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"norm", ":=", 
   RowBox[{
    SuperscriptBox["#", "2"], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nxVazeny", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Plus", "@@", 
      RowBox[{"(", 
       RowBox[{"vyber", "/.", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"a", "*", 
            RowBox[{"norm", "@", "b"}]}], ",", 
           RowBox[{"norm", "@", "b"}]}], "}"}]}]}], ")"}]}], ")"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
     FractionBox["a", "b"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<nxVazeny= \>\"", ",", "nxVazeny", ",", "\"\<   nx= \>\"", ",", "nx"}], 
  " ", "]"}]}], "Input",
 CellChangeTimes->{{3.484045420515625*^9, 3.484045515328125*^9}, {
   3.4840462979375*^9, 3.48404634265625*^9}, {3.484046438015625*^9, 
   3.484046447296875*^9}, {3.4840465065625*^9, 3.484046534140625*^9}, {
   3.484046573953125*^9, 3.48404668425*^9}, {3.4840467314375*^9, 
   3.484046742765625*^9}, {3.484046788890625*^9, 3.484046830671875*^9}, 
   3.484046863625*^9, {3.484046907453125*^9, 3.48404691753125*^9}, {
   3.48404698959375*^9, 3.484047026546875*^9}, {3.484047075671875*^9, 
   3.484047095546875*^9}, {3.484047345359375*^9, 3.484047412109375*^9}, {
   3.484047503015625*^9, 3.48404751234375*^9}, {3.484047556109375*^9, 
   3.4840475605*^9}, {3.48404764678125*^9, 3.484047674109375*^9}, {
   3.484048435953125*^9, 3.484048462859375*^9}, {3.484048641484375*^9, 
   3.48404870009375*^9}, {3.48404876740625*^9, 3.4840488384375*^9}, {
   3.484659643171875*^9, 3.484659709265625*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"nxVazeny= \"\>", "\[InvisibleSpace]", "585.000001339739`", 
   "\[InvisibleSpace]", "\<\"   nx= \"\>", "\[InvisibleSpace]", 
   "585.0234009360373`"}],
  SequenceForm["nxVazeny= ", 585.000001339739, "   nx= ", 585.0234009360373],
  Editable->False]], "Print",
 CellChangeTimes->{{3.484659666015625*^9, 3.48465970971875*^9}}]
}, Open  ]]
},
WindowSize->{1101, 757},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 209, 5, 43, "Input"],
Cell[757, 27, 3040, 79, 589, "Input"],
Cell[3800, 108, 2323, 57, 152, "Input"],
Cell[6126, 167, 560, 16, 71, "Input"],
Cell[6689, 185, 657, 15, 94, "Input"],
Cell[CellGroupData[{
Cell[7371, 204, 3223, 85, 235, "Input"],
Cell[10597, 291, 373, 7, 32, "Print"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
