(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27606,        748]
NotebookOptionsPosition[     26903,        721]
NotebookOutlinePosition[     27304,        738]
CellTagsIndexPosition[     27261,        735]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"$HistoryLength", "=", "2"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.48327811315625*^9, 3.483278126375*^9}, {
  3.483319988421875*^9, 3.48331998971875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fnom", "=", "50."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]nom", "=", 
   RowBox[{"2.", "*", "Pi", "*", "fnom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Tnom", "=", 
    FractionBox["1", "fnom"]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "v", " ", "teto", " ", "fazi", " ", "se", " ", "predpoklada", " ", 
     "pouziti", " ", "jen", " ", "v", " ", "elektroenergetice"}], ",", " ", 
    RowBox[{
    "odtud", " ", "vztazna", " ", "frekvence", " ", "a", " ", "podobne"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sr", "=", "600"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"sr", " ", "je", " ", "pomerna", " ", "cast", " ", "periody"}], 
    ",", " ", 
    RowBox[{
    "tedy", " ", "pokud", " ", "se", " ", "perioda", " ", "sklada", " ", "ze",
      " ", "sr", " ", "useku"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"maji", " ", "useky", " ", "delku", " ", 
       FractionBox["Tnom", "sr"], " ", "a", " ", "pocet", " ", "samplu", " ", 
       "na", " ", "periodu", " ", "je", " ", "sr"}], "+", "1"}], ";"}]}], 
   "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rn", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", 
     RowBox[{"2", "Pi"}], ",", 
     RowBox[{"2.", 
      FractionBox["Pi", "sr"]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sin1", "=", 
   RowBox[{"Sin", "/@", "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cos1", "=", 
    RowBox[{"Cos", "/@", "rn"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "tabulka", " ", "hodnot", " ", "sinu", " ", "a", " ", "kosinu", " ", 
      "pro", " ", "vypocet", " ", "fourierovskych", " ", "koeficientu"}], ";",
      " ", 
     RowBox[{
      RowBox[{
       RowBox[{"pokud", " ", "bychom", " ", "vzali", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"3", "*", "#"}], "]"}]}], "&"}], " ", "a", " ", 
      "podobne"}]}], ",", " ", 
    RowBox[{
    "pocital", " ", "by", " ", "program", " ", "prislusnou", " ", 
     "harmonickou", "\[IndentingNewLine]", "Tabulka", " ", "je", " ", 
     "pouzita", " ", "proto"}], ",", " ", 
    RowBox[{"ze", " ", "predpokladame", " ", "pouziti", " ", "procesoru"}], 
    ",", " ", 
    RowBox[{"ktery", " ", "sinus", " ", "a", " ", "kosinus", " ", "neumi"}]}],
    "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kperSampl", "=", "1.9"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "kPerSampl", " ", "nam", " ", "rika", " ", "kolik", " ", "period", " ", 
     "mam", " ", "nasamplovano"}], ",", " ", 
    RowBox[{"vztazeno", " ", "k", " ", "Tnom"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplSampl", "=", "5.0489"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiSampl", "=", "0.564"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k\[Omega]", "=", "1.014897"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"k\[Omega]", "*", "\[Omega]nom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fcepom", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"amplSampl", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"\[Omega]", "*", "t"}], "+", "fiSampl"}], "]"}]}], "+", 
    RowBox[{"0.5", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"7", "*", "\[Omega]", "*", "t"}], "+", "0.125"}], "]"}]}], "+", 
    RowBox[{"0.25", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"11", "*", "\[Omega]", "*", "t"}], "-", "0.125"}], "]"}]}]}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysNom", "=", 
   RowBox[{"{", 
    RowBox[{"amplSampl", ",", "fiSampl"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]tnom", "=", 
   RowBox[{
    FractionBox["Tnom", "sr"], "//", "N"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dSpom", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"fcepom", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"kperSampl", "*", "Tnom"}], ",", "\[CapitalDelta]tnom"}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "zde", " ", "je", " ", "vytvoren", " ", "testovaci", " ", "list", " ", 
     "samplu", " ", "pro", " ", "ucely", " ", "ladeni", " ", "prograamku"}], 
    ",", " ", 
    RowBox[{"list", " ", "dSpom", " ", "je", " ", "jinak", " ", "vstupem"}]}],
    "*)"}]}]}], "Input",
 CellChangeTimes->{{3.483286319484375*^9, 3.483286320453125*^9}, {
   3.483286363203125*^9, 3.483286363765625*^9}, 3.48328657146875*^9, {
   3.483352136796875*^9, 3.4833521371875*^9}, 3.483681431125699*^9, {
   3.483689059781949*^9, 3.483689336438199*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vahy", "[", "n_Integer", "]"}], ":=", 
    RowBox[{"Prepend", "[", 
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], 
             RowBox[{"#", "+", "1"}]], "+", "3"}], ")"}], "&"}], "/@", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"2", "n"}], "+", "1"}], "]"}]}], ",", "1"}], "]"}], ",", 
      "1"}], "]"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vytvori", " ", "list", " ", "vah", " ", "pro", " ", "vypocet", " ", 
     "integralu", " ", "Simsonovym", " ", "pravidlem"}], ",", " ", 
    RowBox[{
     RowBox[{
     "kdyz", " ", "se", " ", "vahy", " ", "aplikuji", " ", "na", " ", 
      "promennou", " ", "k"}], "=", 
     RowBox[{
      FractionBox["sr", "2"], "-", "1"}]}], ",", " ", 
    RowBox[{
    "bude", " ", "mit", " ", "list", " ", "vah", " ", "spravnou", " ", 
     "delku"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", "sr"}], "+", "1"}]}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"int", "[", 
     RowBox[{"listHodnot_", ",", "listVah_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"k", ",", "lh", ",", "sr"}], "}"}], ",", 
      RowBox[{
       RowBox[{"sr", "=", 
        RowBox[{
         RowBox[{"Length", "[", "listVah", "]"}], "-", "1"}]}], ";", 
       RowBox[{"k", "=", 
        RowBox[{
         FractionBox["sr", "2"], "-", "1"}]}], ";", 
       RowBox[{"lh", "=", 
        RowBox[{"Take", "[", 
         RowBox[{"listHodnot", ",", 
          RowBox[{"sr", "+", "1"}]}], "]"}]}], ";", 
       RowBox[{
        FractionBox["1.", 
         RowBox[{"3", "sr"}]], "*", 
        RowBox[{
         RowBox[{"vahy", "[", "k", "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"lh", "*", "listVah"}], ")"}]}]}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vypocita", " ", "integral", " ", "Simsonovym", " ", "pravidlem", " ", 
    "ze", " ", "soucinu", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
      "listVah", " ", "pri", " ", "volani", " ", "bude", " ", "bud", " ", 
       "sin1"}], ",", " ", 
      RowBox[{
      "nebo", " ", "cos1", " ", "a", " ", "listHodnot", " ", "budou", " ", 
       "prepoctene", " ", "samply"}], ",", " ", 
      RowBox[{
      "ze", " ", "kterych", " ", "se", " ", "vezme", " ", "stejny", " ", 
       "pocet", " ", "jako", " ", "ma", " ", "listVah"}]}], ")"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fazor1harm", "[", "list_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "a1", ",", "b1", ",", "vel", ",", "arg", ",", "\[CapitalDelta]t"}], 
       "}"}], ",", 
      RowBox[{
       RowBox[{"a1", "=", 
        RowBox[{"2.", "*", 
         RowBox[{"int", "[", 
          RowBox[{"list", ",", "cos1"}], "]"}]}]}], ";", 
       RowBox[{"b1", "=", 
        RowBox[{"2.", "*", 
         RowBox[{"int", "[", 
          RowBox[{"list", ",", "sin1"}], "]"}]}]}], ";", 
       RowBox[{"vel", "=", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["a1", "2"], "+", 
          SuperscriptBox["b1", "2"]}]]}], ";", 
       RowBox[{"arg", "=", 
        RowBox[{"Arg", "[", 
         RowBox[{"b1", "+", 
          RowBox[{"I", "*", "a1"}]}], "]"}]}], ";", 
       RowBox[{"{", 
        RowBox[{"vel", ",", "arg"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{"urci", " ", "velikost", " ", "a", " ", "uhel", " ", "fazoru"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"projedList", "[", 
     RowBox[{"list_", ",", "nOkno_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"okna", ",", "meany", ",", "sigma", ",", 
        RowBox[{"nSampl", "=", 
         RowBox[{"Length", "[", "list", "]"}]}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"okna", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"Take", "[", 
           RowBox[{"list", ",", 
            RowBox[{"{", 
             RowBox[{"#", ",", 
              RowBox[{"#", "+", "nOkno", "-", "1"}]}], "}"}]}], "]"}], "&"}], 
         "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"nSampl", "-", "nOkno", "+", "1"}], "]"}]}]}], ";", 
       RowBox[{"meany", "=", 
        RowBox[{"Mean", "/@", "okna"}]}], ";", 
       RowBox[{"sigma", "=", 
        RowBox[{"StandardDeviation", "[", "meany", "]"}]}], ";", 
       RowBox[{"{", 
        RowBox[{"nOkno", ",", "sigma"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "funkce", " ", "projedList", " ", "vezme", " ", "vzdy", " ", "okno", " ", 
     "velikosti", " ", "nOkno", " ", "a", " ", "\"\<projede\>\"", " ", "jim", 
     " ", "list"}], ",", " ", 
    RowBox[{
    "tedy", " ", "tak", " ", "ze", " ", "nejprve", " ", "vezme", " ", 
     "prvnich", " ", "nOkno", " ", "prvku"}], ",", " ", 
    RowBox[{
     RowBox[{"pak", " ", "prvky", " ", "2", " ", "az", " ", "nOkno"}], "+", 
     "1"}], ",", " ", 
    RowBox[{
     RowBox[{"pak", " ", "prvky", " ", "3", " ", "az", " ", "nOkno"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"atd", ".", " ", "Pro"}], " ", "kazdou", " ", "polohu", " ", 
      "okna", " ", "je", " ", "urcena", " ", "stredni", " ", "hodnota", " ", 
      "prvku"}]}], ",", " ", 
    RowBox[{"obdrzime", " ", "tedy", " ", "list", " ", "strednich", " ", 
     RowBox[{"hodnot", ".", " ", "Z"}], " ", "tohoto", " ", "listu", " ", 
     "je", " ", "urcena", " ", "smerodatna", " ", 
     RowBox[{"odchylka", ".", " ", "Funkce"}], " ", "vraci", " ", "tuto", " ",
      "smerodatnou", " ", "odchylku", " ", "a", " ", "velikost", " ", 
     "okna"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mozne", ":=", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"0.95", "*", "sr"}], "]"}], ",", 
      RowBox[{"Round", "[", 
       RowBox[{"1.05", "*", "sr"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "uvazovanym", " ", "moznym", " ", "frekvencim", " ", "pro", " ", 
     "zvolene", " ", "sr", " ", "odpovida", " ", "interval", " ", "poctu", 
     " ", "samplu"}], ",", " ", 
    RowBox[{
    "ktere", " ", "mohou", " ", "skutecne", " ", "odpovidat", " ", "periode", 
     " ", "zkoumaneho", " ", "signalu"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vydejNx", "[", "listDat_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"meze", ",", "pom", ",", "vyber", ",", 
        RowBox[{"b0", "=", 
         SuperscriptBox["10", 
          RowBox[{"-", "7"}]]}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"pom", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"projedList", "[", 
           RowBox[{"listDat", ",", "#"}], "]"}], "&"}], "/@", "mozne"}]}], 
       ";", 
       RowBox[{"vyber", "=", 
        RowBox[{"Take", "[", 
         RowBox[{
          RowBox[{"Sort", "[", 
           RowBox[{"pom", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"#1", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "<", 
              RowBox[{"#2", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], ",", "6"}], 
         "]"}]}], ";", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Plus", "@@", 
          RowBox[{"(", 
           RowBox[{"vyber", "/.", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
             RowBox[{"{", 
              RowBox[{
               FractionBox["a", 
                RowBox[{"b", "+", "b0"}]], ",", 
               FractionBox["1", 
                RowBox[{"b", "+", "b0"}]]}], "}"}]}]}], ")"}]}], ")"}], "/.", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
         FractionBox["a", "b"]}]}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "funkce", " ", "vydejNx", " ", "pocita", " ", "pravdepodobnou", " ", 
     RowBox[{"(", 
      RowBox[{"obecne", " ", "necelociselnou"}], ")"}], " ", "delku", " ", 
     "okna", " ", "odpovidajici", " ", "periode", " ", "skutecneho", " ", 
     "signalu"}], ",", " ", 
    RowBox[{
    "ktery", " ", "je", " ", "samplovan", " ", "v", " ", "casovych", " ", 
     "intervalech", " ", "odpovidajicich", " ", "nominalni", " ", 
     RowBox[{"periode", ".", " ", "Na"}], " ", "parametr", " ", "listDat", 
     " ", "se", " ", "aplikuje", " ", "funkce", " ", "projedList", " ", "se", 
     " ", "vsemi", " ", "moznymi", " ", "delkami", " ", "okna", " ", "a", " ",
      "vybere", " ", "se", " ", "6", " ", "dvojic"}], ",", " ", 
    RowBox[{"ktere", " ", "maji", " ", "nejmensi", " ", "smerodatnou", " ", 
     RowBox[{"odchylku", ".", " ", "Vysledna"}], " ", "delka", " ", "okna", 
     " ", "se", " ", "vypocita", " ", "jako", " ", "vazeny", " ", "prumer", 
     " ", "delek", " ", "sesti", " ", "oken", " ", "s", " ", "nejmensi", " ", 
     "smerodatnou", " ", "odchylkou"}], ",", " ", 
    RowBox[{
     RowBox[{
     "pricemz", " ", "vahou", " ", "je", " ", "vzdy", " ", "prevracena", " ", 
      "hodnota", " ", "smerodatne", " ", "odchylky"}], ";", " ", 
     RowBox[{
     "clen", " ", "b0", " ", "je", " ", "pridan", " ", "aby", " ", "se", " ", 
      "zamezilo", " ", "deleni", " ", "nulou", " ", "v", " ", "pripade"}]}], 
    ",", " ", 
    RowBox[{
    "ze", " ", "smerodatna", " ", "odchylka", " ", "vyjde", " ", "pro", " ", 
     "nejakou", " ", "hodnotu", " ", "delaky", " ", "okna", " ", "nulova", 
     " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "v", " ", "realnem", " ", "mereni", " ", "spise", " ", "teoreticky", 
        " ", "pripad"}], ",", " ", 
       RowBox[{
        RowBox[{
        "pri", " ", "simulacich", " ", "nastane", " ", "v", " ", "pripade", 
         " ", "bez", " ", "sumu", " ", "odpovida"}], "-", 
        RowBox[{
        "li", " ", "skutecna", " ", "frekvence", " ", "celociselnemu", " ", 
         "poctu", " ", "samplu"}]}]}], " ", ")"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ourInt", "[", 
    RowBox[{"x_", ",", "list_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "a", ",", "b", ",", "ya", ",", "yb", ",", "yx"}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"p", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Floor", "[", "x", "]"}], ",", 
          RowBox[{"Ceiling", "[", "x", "]"}]}], "}"}]}]}], ";", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ya", ",", "yb"}], "}"}], "=", 
       RowBox[{"list", "[", 
        RowBox[{"[", "p", "]"}], "]"}]}], ";", 
      RowBox[{"yx", "=", 
       RowBox[{"ya", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "a"}], ")"}], "*", 
         FractionBox[
          RowBox[{"yb", "-", "ya"}], 
          RowBox[{"b", "-", "a"}]]}]}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "ourInt", " ", "realizuje", " ", "linearni", " ", "interpolaci", " ", "v", 
    " ", "listu", " ", "ze", " ", "dvou", " ", "prvku", " ", "o", " ", 
    "nejblizsich", " ", "celociselnych", " ", "indexech"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.48327810284375*^9, {3.48328061715625*^9, 3.48328063125*^9}, {
   3.483280664125*^9, 3.483280668453125*^9}, 3.483282676828125*^9, 
   3.483282852609375*^9, {3.483284619078125*^9, 3.4832846290625*^9}, 
   3.48328600965625*^9, 3.483286380390625*^9, {3.483286491890625*^9, 
   3.483286498203125*^9}, {3.4833200758125*^9, 3.483320115109375*^9}, 
   3.483320186984375*^9, {3.483682002031949*^9, 3.483682014563199*^9}, {
   3.483689318891324*^9, 3.483690451844449*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"nx", "=", 
     RowBox[{"vydejNx", "[", "dSpom", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"urcime", " ", 
     RowBox[{"(", 
      RowBox[{"obecne", " ", "necelociselny"}], ")"}], " ", "pocet", " ", 
     "samplu", " ", "odpovidajicich", " ", "periode", " ", "mereneho", " ", 
     "signalu"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pomer", ":=", 
     FractionBox["nx", "sr"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"pomer", " ", "period", " ", 
     RowBox[{"skutecny", "/", "nominalni"}], " ", "signal"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"natahniCiZkrat", "[", "list_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "enka", "}"}], ",", 
       RowBox[{
        RowBox[{"enka", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"#", "-", "1"}], ")"}], "*", "pomer"}]}], "&"}], "/@", 
          RowBox[{"Range", "[", 
           RowBox[{"2", ",", 
            RowBox[{"sr", "+", "1"}]}], "]"}]}]}], ";", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ourInt", "[", 
             RowBox[{"#", ",", "list"}], "]"}], "&"}], "/@", "enka"}], ",", 
          RowBox[{"list", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
      "tato", " ", "funkce", " ", "vytvori", " ", "list", " ", "z", " ", 
       "listu", " ", "merenych", " ", "hodnot", " ", "list", " ", "delky", 
       " ", "sr"}], "+", "1"}], ",", " ", 
     RowBox[{"pricemz", " ", "probehne", " ", "interpolace", " ", "tak"}], 
     ",", " ", 
     RowBox[{
     "aby", " ", "hodnoty", " ", "byly", " ", "ve", " ", "shodnych", " ", 
      "castech", " ", "periody", " ", "jako", " ", "jsou", " ", "tabelovane", 
      " ", "hodnoty", " ", "v", " ", "sin1", " ", "a", " ", "cos1"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"newDat", "=", 
     RowBox[{"natahniCiZkrat", "[", "dSpom", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"fazor1harm", "[", "newDat", "]"}], "\[IndentingNewLine]", 
   "vysNom", "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<f= \>\"", ",", 
     RowBox[{"fnom", "*", 
      FractionBox["sr", "nx"]}], " ", ",", "\"\<  Hz vypoctem, \>\"", ",", 
     FractionBox["\[Omega]", 
      RowBox[{"2.", "Pi"}]], ",", "\"\<  Hz  skutecna\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"netreba", " ", "komentare"}], "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4832781455*^9, 3.4832782219375*^9}, {3.48327843975*^9, 
   3.483278441609375*^9}, {3.48327852009375*^9, 3.48327871334375*^9}, {
   3.48327876828125*^9, 3.4832787769375*^9}, {3.48327896640625*^9, 
   3.483278970640625*^9}, {3.483279025375*^9, 3.483279064078125*^9}, 
   3.48328158990625*^9, {3.48328170821875*^9, 3.48328170946875*^9}, 
   3.483282829609375*^9, 3.483282868578125*^9, 3.483284257359375*^9, {
   3.48328475415625*^9, 3.483284778140625*^9}, 3.483285465078125*^9, 
   3.483286028875*^9, {3.4832860755625*^9, 3.483286122515625*^9}, {
   3.48328616175*^9, 3.483286250328125*^9}, {3.483286290875*^9, 
   3.48328629140625*^9}, {3.48332027428125*^9, 3.48332027434375*^9}, {
   3.48332160021875*^9, 3.483321605359375*^9}, 3.483352131359375*^9, {
   3.483690463485074*^9, 3.483690641235074*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.048860342717106`", ",", "0.5640040938745023`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4836742195625*^9, 3.483681372469449*^9, 3.483681434047574*^9, {
   3.483682006328824*^9, 3.483682017860074*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.0489`", ",", "0.564`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4836742195625*^9, 3.483681372469449*^9, 3.483681434047574*^9, {
   3.483682006328824*^9, 3.483682017875699*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"f= \"\>", "\[InvisibleSpace]", "50.744754442542494`", 
   "\[InvisibleSpace]", "\<\"  Hz vypoctem, \"\>", "\[InvisibleSpace]", 
   "50.74485`", "\[InvisibleSpace]", "\<\"  Hz  skutecna\"\>"}],
  SequenceForm[
  "f= ", 50.744754442542494`, "  Hz vypoctem, ", 50.74485, "  Hz  skutecna"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.4836742195625*^9, 3.483681372516324*^9, 3.483681434047574*^9, {
   3.483682006344449*^9, 3.483682017891324*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "V", " ", "dalsi", " ", "casti", " ", "vyuzijeme", " ", "toho", " ", "i", 
     " ", "dalsi", " ", "nasamplovana", " ", "data", " ", "pro", " ", 
     "urceni", " ", 
     RowBox[{"fazoru", ".", " ", "Pokud"}], " ", "vezmeme", " ", 
     "\"\<dalsi kus\>\"", " ", "dat"}], ",", " ", 
    RowBox[{"vysledny", " ", "fazor", " ", "by", " ", "mel", " ", "mit", " ", 
     RowBox[{"(", 
      RowBox[{
      "a", " ", "v", " ", "pripade", " ", "nezasumeleho", " ", "signalu", " ",
        "i", " ", "ma"}], ")"}], " ", "stejnou", " ", "amplitudu", " ", "a", 
     " ", "fazi", " ", "posunutou", " ", "o", " ", "cast", " ", "periody", 
     " ", "odpovidajici", " ", "posunu", " ", "okna"}], ",", " ", 
    RowBox[{"posunuli", "-", 
     RowBox[{
     "li", " ", "jsme", " ", "okno", " ", "o", " ", "n", " ", "psamplu", " ", 
      "dopredu"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "je", " ", "odpovidajici", " ", "zmena", " ", "uhlu", " ", "fazoru", " ", 
      FractionBox[
       RowBox[{"2", "Pi"}], 
       RowBox[{"pomer", "*", "sr"}]], "*", "n"}], " ", "-", 
     RowBox[{"pomer", " ", "je", " ", "tam", " ", "proto"}]}], ",", " ", 
    RowBox[{
    "ze", " ", "ubirame", " ", "ze", " ", "samplovanych", " ", "dat"}], ",", 
    " ", 
    RowBox[{"ktera", " ", "pak", " ", "protahujeme"}], ",", " ", 
    RowBox[{
     RowBox[{"ci", " ", "zkracujeme"}], "-", 
     RowBox[{
      RowBox[{".", " ", "Vypocitany"}], " ", "uhel", " ", "fazoru", " ", "je",
       " ", "tedy", " ", "nutno", " ", "o", " ", "tuto", " ", "hodnotu", " ", 
      "zmensit"}]}], ",", " ", 
    RowBox[{"amplituda", " ", "se", " ", "nemeni"}], ",", " ", 
    RowBox[{
    "proto", " ", "je", " ", "korekci", " ", "odecteni", " ", "listu", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        FractionBox[
         RowBox[{"2", "Pi"}], 
         RowBox[{"pomer", "*", "sr"}]], "*", "n"}]}], "}"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"droppedDat", "[", "n_", "]"}], ":=", 
     RowBox[{"natahniCiZkrat", "[", 
      RowBox[{"Drop", "[", 
       RowBox[{"dSpom", ",", "n"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fazor1HarmDropped", "[", "n_", "]"}], ":=", 
     RowBox[{
      RowBox[{"fazor1harm", "[", 
       RowBox[{"droppedDat", "[", "n", "]"}], "]"}], "-", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         FractionBox[
          RowBox[{"2", "Pi"}], 
          RowBox[{"pomer", "*", "sr"}]], "*", "n"}]}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vysledek", "[", "n_", "]"}], ":=", 
     RowBox[{"Mean", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"fazor1HarmDropped", "[", "#", "]"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "n"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "vezme", " ", "takto", " ", "vytvorene", " ", "fazory", " ", "pro", " ", 
      "posun", " ", "nulovy"}], ",", " ", 
     RowBox[{"o", " ", "jeden", " ", "sampl"}], ",", " ", 
     RowBox[{"o", " ", "dva", " ", 
      RowBox[{"atd", ".", " ", "az"}], " ", "o", " ", "posun", " ", "o", " ", 
      "n", " ", "a", " ", "z", " ", "vysledku", " ", "udela", " ", "prumer", 
      " ", "s", " ", "cilem", " ", "eliminovat", " ", "nahodne", " ", 
      "rusici", " ", 
      RowBox[{"vlivy", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"vysledek", "[", "10", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.483676405328824*^9, 3.483676483656949*^9}, {
   3.483676912860074*^9, 3.483677026000699*^9}, {3.483677064485074*^9, 
   3.483677089641324*^9}, 3.483677119656949*^9, {3.483681292328824*^9, 
   3.483681337188199*^9}, {3.483681377969449*^9, 3.483681400344449*^9}, {
   3.483690651703824*^9, 3.483690928203824*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.0488553642119465`", ",", "0.5640052586579326`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.483676957625699*^9, 3.483677026203824*^9}, {
   3.483677070750699*^9, 3.483677090188199*^9}, 3.483677120375699*^9, {
   3.483681334719449*^9, 3.483681337391324*^9}, {3.483681372547574*^9, 
   3.483681401000699*^9}, 3.483681434328824*^9, {3.483682006625699*^9, 
   3.483682018203824*^9}}]
}, Open  ]]
},
WindowSize->{1101, 757},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 209, 5, 43, "Input"],
Cell[757, 27, 4891, 135, 868, "Input"],
Cell[5651, 164, 12207, 327, 1371, "Input"],
Cell[CellGroupData[{
Cell[17883, 495, 3625, 86, 552, "Input"],
Cell[21511, 583, 245, 5, 42, "Output"],
Cell[21759, 590, 221, 5, 42, "Output"],
Cell[21983, 597, 502, 10, 32, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22522, 612, 3940, 96, 510, "Input"],
Cell[26465, 710, 422, 8, 42, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
